﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGanttView.UIElements;
using Infragistics.Win;
using System.Windows.Forms;

namespace GanttSample
{
    public class TaskBarUIElementExt : TaskBarUIElement
    {
        public TaskBarUIElementExt(UIElement parent)
            : base((TaskUIElement)parent)
        { }


        public override System.Windows.Forms.Border3DSide BorderSides
        {
            get
            {
                return Border3DSide.All;
            }
        }


        public override UIElementBorderStyle BorderStyle
        {
            get
            {
                return UIElementBorderStyle.Solid;
            }
        }


        public override System.Drawing.Region Region
        {
            get
            {
                return new System.Drawing.Region(this.rectValue);
            }
        }


        public static TaskBarUIElementExt FromTaskBarUIElement(TaskBarUIElement baseUIElem)
        {
            if (baseUIElem == null)
                throw new ArgumentNullException();

            TaskBarUIElementExt newElem = new TaskBarUIElementExt(baseUIElem.Parent);
            newElem.Rect = baseUIElem.Rect;

            return newElem;
        }
    }
}
